from setuptools import setup


with open('readme.rst') as f:
    long_description = f.read()


with open('requirements.txt') as f:
    requirements = [l.strip() for l in f.read().split('\n')]


setup(
    name='cherry_picker',
    description='Backport CPython changes from master to maintenance branches',
    long_description=long_description,
    license='Apache',
    url='https://github.com/python/core-workflow',
    author='Mariatta Wijaya',
    author_email='mariatta.wijaya@gmail.com',
    maintainer='Python Core Developers',
    maintainer_email='core-workflow@mail.python.org',
    version='0.0.2.post2',
    packages=[
        'cherry_picker',
    ],
    entry_points={
        'console_scripts': [
            'cherry_picker = cherry_picker.cherry_picker:cherry_pick_cli',
        ],
    },
    classifiers=[
        'Programming Language :: Python :: 3.6',
        'Intended Audience :: Developers',
    ],
    install_requires=requirements,
)
